# Class MWiXValidator

java.lang.Object
com.io7m.montarre.nativepack.internal.MWiXValidator

All Implemented Interfaces:
  `MWiXValidatorType`, `AutoCloseable`, `ErrorHandler`

public final class MWiXValidator extends Object implements MWiXValidatorType, ErrorHandler
A WiX validator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MWiXValidator(Path inFile)`
  A WiX validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `error(SAXParseException exception)`
  `List<MValidationIssue>`
  `execute()`
  Execute the validator.
  `void`
  `fatalError(SAXParseException exception)`
  `void`
  `warning(SAXParseException exception)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MWiXValidator

    public MWiXValidator(Path inFile)
    A WiX validator.
    Parameters:
      `inFile` - The file

- ## Method Details

  - ### execute

    public List<MValidationIssue> execute() throws MException
    Description copied from interface: `MWiXValidatorType`
    Execute the validator.
    Specified by:
      `execute` in interface `MWiXValidatorType`
    Returns:
      The validation issues, if any
    Throws:
      `MException` - On errors

  - ### close

    public void close() throws MException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `MWiXValidatorType`
    Throws:
      `MException`

  - ### warning

    public void warning(SAXParseException exception) throws SAXException
    Specified by:
      `warning` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### error

    public void error(SAXParseException exception) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### fatalError

    public void fatalError(SAXParseException exception) throws SAXException
    Specified by:
      `fatalError` in interface `ErrorHandler`
    Throws:
      `SAXException`